summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-04-11 01:09:21 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-04-11 01:10:00 -0500
commitc47daa5d9e29ac3fce11e59c86aab0a57618eee1 (patch)
treed4a6bc574512334b91f58dbb15a0a7484f2ff7c1
parentd78b2ccb5b3f1e2991e1ddca3cc9bc16f0863e8f (diff)
downloadslackbuilds-c47daa5d9e29ac3fce11e59c86aab0a57618eee1.tar.gz
slackbuilds-c47daa5d9e29ac3fce11e59c86aab0a57618eee1.tar.xz
development/scite: Re-added/changed maintainer.
Revert "development/scite: Removed (abandoned by maintainer)" This reverts commit 3fa55f127df2dd0f9b09ec1385ff1c7c7c1d138a. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/scite/README9
-rw-r--r--development/scite/SciTEUser.properties43
-rw-r--r--development/scite/doinst.sh3
-rw-r--r--development/scite/scite.SlackBuild85
-rw-r--r--development/scite/scite.info10
-rw-r--r--development/scite/slack-desc19
6 files changed, 169 insertions, 0 deletions
diff --git a/development/scite/README b/development/scite/README
new file mode 100644
index 0000000000..d2201cdc33
--- /dev/null
+++ b/development/scite/README
@@ -0,0 +1,9 @@
+SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
+Scintilla, it has grown to be a generally useful editor with facilities
+for building and running programs. It is best used for jobs with simple
+configurations.
+
+There is an example configuration file (SciTEUser.properties) provided
+with the tarball. If you'd like to use it (at your own risk), learn the
+different options, rename it to .SciTEUser.properties and place it under
+your user's home directory.
diff --git a/development/scite/SciTEUser.properties b/development/scite/SciTEUser.properties
new file mode 100644
index 0000000000..a654cc15be
--- /dev/null
+++ b/development/scite/SciTEUser.properties
@@ -0,0 +1,43 @@
+if PLAT_GTK
+ position.left=0
+ position.top=0
+position.width=1015
+position.height=717
+
+minimize.to.tray=1
+
+horizontal.scrollbar=1
+horizontal.scroll.width=700
+
+tabbar.visible=1
+statusbar.visible=1
+check.if.already.open=1
+
+tabsize=3
+indent.size=3
+
+autocompleteword.automatic=1
+
+# if you want to be able to edit Unicode files, uncomment this:
+#code.page=65001
+#LC_CTYPE=en_US.UTF-8
+
+if PLAT_GTK
+ font.base=font:!Bitstream Vera Sans Mono,size:12
+ # font.base=font:Arial,size:12
+ font.small=$(font.base)
+ font.comment=$(font.base)
+ font.code.comment.box=$(font.comment)
+ font.code.comment.line=$(font.comment)
+ font.code.comment.doc=$(font.comment)
+ font.text=$(font.base)
+ font.text.comment=$(font.base)
+ font.embedded.base=$(font.base)
+ font.embedded.comment=$(font.base)
+ font.monospace=$(font.base)
+ font.vbs=$(font.base)
+font.js=$(font.comment)
+
+comment.block.hypertext=//~
+comment.block.sql=--~
+xml.auto.close.tags=1
diff --git a/development/scite/doinst.sh b/development/scite/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/scite/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/scite/scite.SlackBuild b/development/scite/scite.SlackBuild
new file mode 100644
index 0000000000..2353545adb
--- /dev/null
+++ b/development/scite/scite.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+# Slackware build script for SciTE
+# Written by Iskar Enev <iskar.enev[@]gmail.com>
+
+PRGNAM=scite
+VERSION=2.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf scite/ scintilla/
+tar xvf $CWD/${PRGNAM}$(echo $VERSION | tr -d .).tgz
+chown -R root:root scite/ scintilla/
+chmod -R u+w,go+r-w,a-s scite/ scintilla/
+
+# Build Scintilla first
+cd $TMP/scintilla/gtk
+sed -i "s%CXXBASEFLAGS=-Wall -Wno-missing-braces -Wno-char-subscripts -pedantic -Os %CXXBASEFLAGS=-Wall -Wno-missing-braces -Wno-char-subscripts -pedantic %" makefile
+sed -i "s%CXXFLAGS=-DNDEBUG -Os %CXXFLAGS=-DNDEBUG $SLKCFLAGS %" makefile
+make prefix=/usr
+
+cd $TMP/scite/gtk
+sed -i "s%CXXBASEFLAGS=-W -Wall -Wno-char-subscripts -pedantic -Os %CXXBASEFLAGS=-W -Wall -Wno-char-subscripts -pedantic %" makefile
+sed -i "s%CXXTFLAGS=-DNDEBUG -Os %CXXTFLAGS=-DNDEBUG $SLKCFLAGS %" makefile
+
+make prefix=/usr
+make install DESTDIR=$PKG
+
+( cd $PKG/usr/bin ; ln -sf SciTE scite )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+cd $TMP/scite
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README License.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/scite/*.html $PKG/usr/share/scite/*.png \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/man/man1
+cat doc/scite.1 | gzip -9c > $PKG/usr/man/man1/scite.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/scite/scite.info b/development/scite/scite.info
new file mode 100644
index 0000000000..f292a0720e
--- /dev/null
+++ b/development/scite/scite.info
@@ -0,0 +1,10 @@
+PRGNAM="scite"
+VERSION="2.12"
+HOMEPAGE="http://scintilla.org/SciTE.html"
+DOWNLOAD="http://downloads.sourceforge.net/scintilla/scite212.tgz"
+MD5SUM="8868c06c1cfb248abd92cb3956bb5ba1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jens Weber"
+EMAIL="jens@tuxane.com"
+APPROVED="Erik Hanson"
diff --git a/development/scite/slack-desc b/development/scite/slack-desc
new file mode 100644
index 0000000000..3ea6a0bfee
--- /dev/null
+++ b/development/scite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scite: SciTE (SCIntilla based Text Editor)
+scite:
+scite: SciTE is a SCIntilla based Text Editor. Originally built to
+scite: demonstrate Scintilla, it has grown to be a generally useful
+scite: editor with facilities for building and running programs.
+scite:
+scite:
+scite:
+scite:
+scite:
+scite: